import Docker from 'dockerode';
import DockerWrapper from './dockerWrapper.js';
export default class LocalDockerWrapper extends DockerWrapper {
    private readonly _PING_TIMEOUT_MS;
    dispose(): Promise<void>;
    getDocker(): Promise<Docker>;
    isAvailable(): Promise<boolean>;
    prepare(): Promise<void>;
    start(): Promise<void>;
    private getColimaSocketPath;
}
